import { EOrientation } from '../types';
export declare const PORTRAIT_HEIGHT = 971.33;
export declare const PORTRAIT_WIDTH = 680.3;
export declare const LANDSCAPE_HEIGHT = 718.1;
export declare const LANDSCAPE_WIDTH = 1046.9;
export declare class Page {
    private orientation;
    private fullHeight;
    private balanceHeight;
    private currentContentHeight;
    private elems;
    private template;
    constructor(orientation: EOrientation, template: string);
    get pageContent(): string;
    get height(): {
        fullHeight: number;
        balanceHeight: number;
        currentContentHeight: number;
    };
    insertElem(elem: HTMLDivElement): this | null;
}
