import * as utils from '../utils'

export const insertMeta = (docHtmlDOM: HTMLDivElement) => {

  const resDom = docHtmlDOM.cloneNode(true) as HTMLDivElement
  const mainContainer = utils.getContentDom(resDom, 'body div:nth-child(2)')!

  if (!mainContainer.classList.contains('.template-constructor'))
    mainContainer.classList.add('template-constructor')

  if (!mainContainer.getAttribute('data-orientation'))
    mainContainer.setAttribute('data-orientation', 'portrait')

  return resDom
}