import { getContent } from "../utils/getContent"

export const splitByPoint = (
  docHtml: string,
  docBrake: string = `<span class="list-brake"></span>`
): string[] => {
  if (docHtml.includes(docBrake)) {
    const content = getContent(docHtml)
    const clearHtml = docHtml.replace(content, '{{document}}')
    const htmlWhithoutListBreak = content.split(docBrake).map(content => clearHtml.replace('{{document}}', content))
    return htmlWhithoutListBreak
  }
  return [docHtml]
}