export const createIframe = (
  selectorInsert: string,
  classNameIframe?: string,
  onLoad?: (iframe: HTMLIFrameElement) => void
) => {
  const iframe = document.createElement('iframe')
  iframe.classList.add(classNameIframe ?? '')
  // eslint-disable-next-line
  iframe.sandbox
  iframe.onload = () => onLoad?.(iframe)

  document.querySelector(selectorInsert)?.appendChild(iframe)

  return iframe
}