import { EOrientation } from '../types'
import * as utils from '.'

export const getTemplateForPage = (docHtml: string) => {
  const orientation = docHtml.includes(`data-orientation="${EOrientation.landscape}"`, docHtml.indexOf('<body>'))
    ? EOrientation.landscape
    : EOrientation.portrait

  return `<div class="template-constructor" data-orientation="${orientation}">{{content}}</div>`
  // docHtml.replace(utils.getContent(docHtml), '{{content}}')
}
export const getTemplateHTML = (docHtml: string) => {
  const openTegs = [...docHtml.matchAll(/<div/g)]; const closeTegs = [...docHtml.matchAll(/<\/div>/g)]
  return docHtml.replace(
    docHtml.substring(openTegs[1].index!, closeTegs[closeTegs.length - 1].index),
    `{{html}}`
  )
}