export const identificationRowElem = (rowElem: HTMLDivElement): 'simple' | 'table' | 'image' => {
  
  if (!!rowElem.querySelector('.table'))
    return 'table'
  if (!!rowElem.querySelector('img') && !rowElem.querySelector('.signature img'))
    return 'image'
  return 'simple'
}