import { adaptate } from './adaptate/adaptate';
import { recover } from './recover/recover';
import { splitByPage } from './splitByPage/splitByPage';
import { splitByPoint } from './splitByPoint/splitByPoint';
import * as utils from './utils';
export { adaptate, recover, splitByPage, splitByPoint, utils };
declare const _default: {
    adaptate: (docHtml: string) => Promise<string[]>;
    recover: (docHtml: string) => Promise<string>;
    splitByPage: (docHtml: string) => Promise<string>;
    splitByPoint: (docHtml: string, docBrake?: string) => string[];
    utils: typeof utils;
};
export default _default;
