import { EOrientation } from '../types';
import { CellEntity, TableElement } from "./type";
export declare class TableUtils {
    static createTableElement(type: TableElement): HTMLDivElement;
    static getCellType(cell: HTMLDivElement): CellEntity;
    static getTableElement(tableElement: HTMLDivElement, selector: string): Element[];
    static getMinWidthForEntityCells(entity: CellEntity[], orientation: EOrientation): number[];
}
