import * as utils from '../utils'

// Если несколько строк в одной div то создаем новые div под таблицы
// Копипаст моего древнего кода, так что я не помню какая именно там логика)))))

export const splitTableRow = (docHtmlDOM: HTMLDivElement) => {
  const resDom = docHtmlDOM.cloneNode(true) as HTMLDivElement

  const mainContainer = utils.getContentDom(resDom, 'body div:nth-child(2)')!

  const collectUpdatedTable: Array<{ linkRow: HTMLDivElement, containerRows: HTMLDivElement }> = []
  mainContainer.childNodes.forEach(nodeRow => {

    if (nodeRow.nodeName == 'DIV' && (nodeRow as HTMLDivElement).querySelectorAll('.table').length) {

      const container = document.createElement('div')

      nodeRow.childNodes.forEach(child => {

        if (child.nodeName == 'BR') {
          container.appendChild(document.createElement('div'))
          return
        }
        if ((child as Element).classList?.contains('table')) {
          const row = nodeRow.cloneNode()
          row.appendChild(child.cloneNode(true))
          container.appendChild(row)
          return
        }
        // Если была последней таблица, то создать новую строку
        if ((container.lastChild?.childNodes[0] as Element)?.classList?.contains('table')) {
          const row = nodeRow.cloneNode()
          row.appendChild(child.cloneNode(true))
          container.appendChild(row)
          return
        }

        !container.lastChild && container.appendChild(nodeRow.cloneNode())
        container.lastChild?.appendChild(child.cloneNode(true))
      })

      collectUpdatedTable.push({ linkRow: (nodeRow as HTMLDivElement), containerRows: container })
    }
  })

  collectUpdatedTable.forEach(({ linkRow, containerRows }) => {
    containerRows.childNodes.forEach(child => (
      linkRow.before(child.cloneNode(true))
    ))
    mainContainer.removeChild(linkRow)
  })

  return resDom
}